/* SPDX-License-Identifier: MIT
 * Small Data Compression Library
 * Copyright (c) 2020 Kingizor */

#ifndef SD_INTERNAL
#define SD_INTERNAL

struct SD_COMPRESSOR {
    unsigned char *input;
    unsigned char *output;
    size_t insize;
    size_t outsize;
    size_t inpos;
    size_t outpos;
    unsigned char bitpos;
};

int sd_compress   (struct SD_COMPRESSOR*);
int sd_decompress (struct SD_COMPRESSOR*);
void sd_set_error (const char*);

#endif
